<html>
	<head>
		<title>API</title>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap-theme.min.css" integrity="sha384-fLW2N01lMqjakBkx3l/M9EahuwpSfeNvV63J5ezn3uZzapT0u7EYsXMjQV+0En5r" crossorigin="anonymous">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
	</head
	<body>
		<h1>Endpoints</h1>
		<ul>
			{% for route in routes %}
			<li>
				<code><a href="#{{ route.hash }}">{{ route.path|e }}</a></code>
				<span>
					{% for method in route.methods %}
						<span class="label label-default">{{ method|e }}</span>
					{% endfor %}
				</span>
			</li>
			{% endfor %}
		</ul>
		<hr>
		<ul>
			{% for route in routes %}
			<li>
				<a name="{{ route.hash }}"></a><code>{{ route.path|e }}</code>
				<br>
				<ul>
					{% for action in route.actions %}
						<li>
							{% for method in action.methods %}
								<span class="label label-default">{{ method|e }}</span>
							{% endfor %}
							{{ action.controller|e }}
							{% if action.comment is not empty %}<pre><code>{{ action.comment|e }}</code></pre>{% endif %}
							{% if action.condition is not empty %}<code>{{ action.condition|e }}</code>{% endif %}
						</li>
					{% endfor %}
				</ul>
				<hr/>
			</li>
			{% endfor %}
		</ul>
	</body>
</html>